Mantis Bugtracker

Viewing Issue Simple Details Jump to Notes ] View Advanced ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0000571 [Ecere SDK] ide:buildsystem minor always 2010-10-29 01:11 2013-05-19 17:15
Reporter redj View Status public  
Assigned To redj
Priority immediate Resolution fixed  
Status closed   Product Version
Summary 0000571: platform-specific exclusions of folders isn't working
Description Project Folders PLATFORM specific exclusions don't seem to be working (while configs do, and per file/platform do as well)
Additional Information
Tags No tags attached.
Attached Files

- Relationships

-  Notes
(0000393)
redj (administrator)
2010-10-29 01:12
edited on: 2010-10-30 10:35

Added revision 67 to sdk/ide/src/project/ProjectNode.ec
Added revision 68 to sdk/ide/src/project/ProjectNode.ec
Added revision 69 to sdk/ide/src/project/ProjectNode.ec

(0000396)
redj (administrator)
2010-10-30 12:44

currently cumulative nesting is performed when handling platform specific exclusions with parent per-folder(s) as well as per-file

we need to have more intelligent blending of parent-folder/file platform-specific exclusions

i.e.: a drivers folder might be excluded for all platforms but a file in this folder would be not excluded for the linux platform
(0000451)
jerome (administrator)
2011-08-23 01:23

I believe this has been resolved to my satisfaction in this commit:

https://github.com/ecere/sdk/commit/baa0368313daf7d30d8779ed68fbf791e0a5caec [^]

- Issue History
Date Modified Username Field Change
2010-10-29 01:11 redj New Issue
2010-10-29 01:11 redj Status new => assigned
2010-10-29 01:11 redj Assigned To => redj
2010-10-29 01:12 redj Status assigned => resolved
2010-10-29 01:12 redj Resolution open => fixed
2010-10-29 01:12 redj Note Added: 0000393
2010-10-30 10:35 redj Note Edited: 0000393
2010-10-30 12:44 redj Note Added: 0000396
2010-10-30 12:44 redj Status resolved => assigned
2011-08-23 01:23 jerome Status assigned => resolved
2011-08-23 01:23 jerome Fixed in Version => 0.44 pre-release 2
2011-08-23 01:23 jerome Note Added: 0000451
2012-03-08 09:33 redj Target Version old 0.44.pre2 => 0.44 Ryoan-ji
2012-03-08 12:07 redj Fixed in Version => 0.44 Ryoan-ji
2012-03-29 02:52 redj Category => ide
2012-03-29 02:52 redj Project @3@ => Ecere SDK
2012-03-29 03:45 redj Category ide => ide:buildsystem
2012-03-29 03:45 redj Summary ide / build system: platform-specific exclusions of folders isn't working => platform-specific exclusions of folders isn't working
2013-05-19 17:15 jerome Status resolved => closed


Mantis 1.1.1[^]
Copyright © 2000 - 2008 Mantis Group
Powered by Mantis Bugtracker